Package org.lwjgl.opengles

# Class QCOMExtendedGet

java.lang.Object
org.lwjgl.opengles.QCOMExtendedGet

public final class QCOMExtendedGet extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_STATE_RESTORE`
Accepted by the <pname> parameter of ExtTexObjectStateOverrideiQCOM
`static final int`
`GL_TEXTURE_DEPTH_QCOM`
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM
`static final int`
`GL_TEXTURE_FORMAT_QCOM`
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM
`static final int`
`GL_TEXTURE_HEIGHT_QCOM`
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM
`static final int`
`GL_TEXTURE_IMAGE_VALID_QCOM`
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM
`static final int`
`GL_TEXTURE_INTERNAL_FORMAT_QCOM`
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM
`static final int`
`GL_TEXTURE_NUM_LEVELS_QCOM`
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM
`static final int`
`GL_TEXTURE_OBJECT_VALID_QCOM`
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM
`static final int`
`GL_TEXTURE_TARGET_QCOM`
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM
`static final int`
`GL_TEXTURE_TYPE_QCOM`
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM
`static final int`
`GL_TEXTURE_WIDTH_QCOM`
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM

## Method Summary

Modifier and Type
Method
Description
`static ByteBuffer`
`glExtGetBufferPointervQCOM(int target, long result_size)`
`static void`
`glExtGetBuffersQCOM(IntBuffer buffers, IntBuffer numBuffers)`
`static void`
`glExtGetFramebuffersQCOM(IntBuffer framebuffers, IntBuffer numFramebuffers)`
`static void`
`glExtGetRenderbuffersQCOM(IntBuffer renderbuffers, IntBuffer numRenderbuffers)`
`static void`
`glExtGetTexLevelParameterivQCOM(int texture, int face, int level, int pname, IntBuffer params)`
`static void`
`glExtGetTexSubImageQCOM(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer texels)`
`static void`
`glExtGetTexSubImageQCOM(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer texels)`
`static void`
`glExtGetTexSubImageQCOM(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer texels)`
`static void`
`glExtGetTexSubImageQCOM(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer texels)`
`static void`
`glExtGetTexturesQCOM(IntBuffer textures, IntBuffer numTextures)`
`static void`
`glExtTexObjectStateOverrideiQCOM(int target, int pname, int param)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_WIDTH_QCOM

public static final int GL_TEXTURE_WIDTH_QCOM
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM

See Also:
  - Constant Field Values

### GL_TEXTURE_HEIGHT_QCOM

public static final int GL_TEXTURE_HEIGHT_QCOM
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM

See Also:
  - Constant Field Values

### GL_TEXTURE_DEPTH_QCOM

public static final int GL_TEXTURE_DEPTH_QCOM
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM

See Also:
  - Constant Field Values

### GL_TEXTURE_INTERNAL_FORMAT_QCOM

public static final int GL_TEXTURE_INTERNAL_FORMAT_QCOM
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM

See Also:
  - Constant Field Values

### GL_TEXTURE_FORMAT_QCOM

public static final int GL_TEXTURE_FORMAT_QCOM
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM

See Also:
  - Constant Field Values

### GL_TEXTURE_TYPE_QCOM

public static final int GL_TEXTURE_TYPE_QCOM
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM

See Also:
  - Constant Field Values

### GL_TEXTURE_IMAGE_VALID_QCOM

public static final int GL_TEXTURE_IMAGE_VALID_QCOM
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM

See Also:
  - Constant Field Values

### GL_TEXTURE_NUM_LEVELS_QCOM

public static final int GL_TEXTURE_NUM_LEVELS_QCOM
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM

See Also:
  - Constant Field Values

### GL_TEXTURE_TARGET_QCOM

public static final int GL_TEXTURE_TARGET_QCOM
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM

See Also:
  - Constant Field Values

### GL_TEXTURE_OBJECT_VALID_QCOM

public static final int GL_TEXTURE_OBJECT_VALID_QCOM
Accepted by the <pname> parameter of ExtGetTexLevelParameterivQCOM

See Also:
  - Constant Field Values

### GL_STATE_RESTORE

public static final int GL_STATE_RESTORE
Accepted by the <pname> parameter of ExtTexObjectStateOverrideiQCOM

See Also:
  - Constant Field Values

## Method Details

### glExtGetTexturesQCOM

public static void glExtGetTexturesQCOM(IntBuffer textures, IntBuffer numTextures)

### glExtGetBuffersQCOM

public static void glExtGetBuffersQCOM(IntBuffer buffers, IntBuffer numBuffers)

### glExtGetRenderbuffersQCOM

public static void glExtGetRenderbuffersQCOM(IntBuffer renderbuffers, IntBuffer numRenderbuffers)

### glExtGetFramebuffersQCOM

public static void glExtGetFramebuffersQCOM(IntBuffer framebuffers, IntBuffer numFramebuffers)

### glExtGetTexLevelParameterivQCOM

public static void glExtGetTexLevelParameterivQCOM(int texture, int face, int level, int pname, IntBuffer params)

### glExtTexObjectStateOverrideiQCOM

public static void glExtTexObjectStateOverrideiQCOM(int target, int pname, int param)

### glExtGetTexSubImageQCOM

public static void glExtGetTexSubImageQCOM(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer texels)

### glExtGetTexSubImageQCOM

public static void glExtGetTexSubImageQCOM(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer texels)

### glExtGetTexSubImageQCOM

public static void glExtGetTexSubImageQCOM(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer texels)

### glExtGetTexSubImageQCOM

public static void glExtGetTexSubImageQCOM(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer texels)

### glExtGetBufferPointervQCOM

public static ByteBuffer glExtGetBufferPointervQCOM(int target, long result_size)